Loading...
Searching...
No Matches
TrackingBox Struct Reference

`#include <sort_filter/sort.hpp>`

## Public Member Functions

| TrackingBox ()
| TrackingBox (int _frame, float _confidence, int _classId, int _id)

## Public Attributes

cv::Rect_< float > | box = cv::Rect_<float>(0.0, 0.0, 0.0, 0.0)
int | classId = 0
float | confidence = 0
int | frame = 0
int | id = 0

## Detailed Description

Definition at line 22 of file sort.hpp.

## Constructor & Destructor Documentation

## TrackingBox() [1/2]

TrackingBox::TrackingBox | ( |  | ) |

inline

Definition at line 29 of file sort.hpp.

## TrackingBox() [2/2]

TrackingBox::TrackingBox | ( | int | _frame,
|  | float | _confidence,
|  | int | _classId,
|  | int | _id )

inline

Definition at line 30 of file sort.hpp.

## Member Data Documentation

## box

cv::Rect_<float> TrackingBox::box = cv::Rect_<float>(0.0, 0.0, 0.0, 0.0)

Definition at line 28 of file sort.hpp.

Referenced by SortTracker::update().

## classId

int TrackingBox::classId = 0

Definition at line 26 of file sort.hpp.

Referenced by TrackingBox(), and SortTracker::update().

## confidence

float TrackingBox::confidence = 0

Definition at line 25 of file sort.hpp.

Referenced by TrackingBox(), and SortTracker::update().

## frame

int TrackingBox::frame = 0

Definition at line 24 of file sort.hpp.

Referenced by TrackingBox(), and SortTracker::update().

## id

int TrackingBox::id = 0

Definition at line 27 of file sort.hpp.

Referenced by TrackingBox(), and SortTracker::update().

The documentation for this struct was generated from the following file:

- sort_filter/sort.hpp